# Turn off the brp-python-bytecompile script
# because of /usr/lib/python2.7/site-packages/noethys/Outils/C866CA3A-32F7-11D2-9602-00C04F8EE628x0x5x0.py
%define __brp_python_bytecompile %{nil}

%define   oname Noethys

Name:		noethys
Version:	1.3.1.1
Release:	%mkrel 3
Summary:	Software to handle "multi activity" centers
License:	GPLv2
Group:		Archiving/Other
URL:		http://noethys.com/
Source0:	%oname-%version.tar.gz
Patch0:         Noethys-1.2.8.7-disable-update-checking.patch
Patch1:		Noethys-1.2.8.7-fix-shebang.patch
BuildArch:      noarch

Requires:       python3-wxpython4
Requires:       python3-pytz
Requires:       python3-appdirs
Requires:       python3-dateutil
Requires:       python3-numpy
Requires:       python3-pillow
Requires:       python3-mysql
Requires:       python3-sqlalchemy
Requires:       python3-cryptography
Requires:       python3-reportlab
Requires:       python3-paramiko
Requires:       python3-psutil
Requires:       python3-opencv
Requires:       python3-gi
Requires:       python3-OpenSSL
Requires:       python3-serial
Requires:       python3-zope-interface
Requires:       python3-twisted
Requires:	python3-pycryptodome
Requires:	python3-matplotlib
Requires:	python3-xlrd
Requires:	python3-xlsxwriter
Requires:	python3-pyscard
Requires:	python3-lxml
Requires:	python3-icalendar

%description
Software to handle "multi activity" centers

%files
%_bindir/%name
%_datadir/%name

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version
%autopatch -p1

%build

%install
mkdir -p %buildroot%_datadir
mkdir -p %buildroot%_bindir
cp -fr %name %buildroot%_datadir
pushd %buildroot%_bindir
	ln -s %_datadir/%name/Noethys.py %name
	chmod +x %buildroot%_datadir/%name/%oname.py
popd

cp %buildroot%_datadir/noethys/Static/Images/Avatars/128x128/Automatique.png %buildroot%_datadir/noethys/Static/Images/Avatars/128x128/automatique.png
cp %buildroot%_datadir/noethys/Static/Images/Avatars/16x16/Automatique.png %buildroot%_datadir/noethys/Static/Images/Avatars/16x16/automatique.png


%changelog
* Wed Nov 02 2022 ghibo <ghibo> 1.3.1.1-3.mga9
+ Revision: 1901477
- Rebuild for newer opencv

* Tue Nov 01 2022 ghibo <ghibo> 1.3.1.1-2.mga9
+ Revision: 1900942
- Rebuild against opencv 4.6.0

* Fri Aug 12 2022 neoclust <neoclust> 1.3.1.1-1.mga9
+ Revision: 1877197
- New version 1.3.1.1

* Mon Mar 21 2022 umeabot <umeabot> 1.2.8.7-4.mga9
+ Revision: 1813864
- Mageia 9 Mass Rebuild

* Sun Jan 17 2021 neoclust <neoclust> 1.2.8.7-3.mga8
+ Revision: 1672154
- Add more default requires

* Sun Jan 17 2021 neoclust <neoclust> 1.2.8.7-2.mga8
+ Revision: 1672145
- Add missing python3-pycryptodome require

* Sun Jan 17 2021 neoclust <neoclust> 1.2.8.7-1.mga8
+ Revision: 1672114
- Welcome back noethys
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Jan 20 2019 neoclust <neoclust> 1.2.5.6-1.mga7
+ Revision: 1358164
- New version 1.2.5.6

* Thu Sep 20 2018 umeabot <umeabot> 1.2.3.0-2.mga7
+ Revision: 1281310
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 neoclust <neoclust> 1.2.3.0-1.mga7
+ Revision: 1223851
- New version 1.2.3.0

* Thu Nov 09 2017 neoclust <neoclust> 1.2.1.3-1.mga7
+ Revision: 1176658
- New version 1.2.1.3

* Mon May 22 2017 neoclust <neoclust> 1.2.0.0-2.mga6
+ Revision: 1104107
- Add python-pyexcelerator as default deps

* Sun May 14 2017 neoclust <neoclust> 1.2.0.0-1.mga6
+ Revision: 1101089
- New version 1.2.0.0

* Sat May 13 2017 neoclust <neoclust> 1.1.9.0-4.mga6
+ Revision: 1100812
- Workaround missing png file
- Add python-opencv as minimal deps

* Mon Mar 06 2017 neoclust <neoclust> 1.1.9.0-3.mga6
+ Revision: 1088910
- New version 1.1.9.0

* Sat Jan 28 2017 neoclust <neoclust> 1.1.8.6-3.mga6
+ Revision: 1083722
- Add more minimal deps for nomadhys

* Sat Jan 28 2017 neoclust <neoclust> 1.1.8.6-2.mga6
+ Revision: 1083721
- Add minimal deps for nomadhys

* Sat Jan 14 2017 neoclust <neoclust> 1.1.8.6-1.mga6
+ Revision: 1081730
- New version 1.1.8.6

* Wed Jan 11 2017 neoclust <neoclust> 1.1.8.5-2.mga6
+ Revision: 1081145
- Fix typo in spec file
- New version 1.1.8.5
- New version 1.1.8.0

* Tue Nov 08 2016 neoclust <neoclust> 1.1.7.6-2.mga6
+ Revision: 1065821
- Fix minimal requires

* Thu Nov 03 2016 neoclust <neoclust> 1.1.7.6-1.mga6
+ Revision: 1064890
- New version 1.1.7.6

* Sun Oct 16 2016 tv <tv> 1.1.7.1-8.mga6
+ Revision: 1061029
- switch to %%autopatch (mga#15579)

* Wed Aug 31 2016 neoclust <neoclust> 1.1.7.1-7.mga6
+ Revision: 1049595
- Add python-reportlab as a requires

* Wed Aug 31 2016 neoclust <neoclust> 1.1.7.1-6.mga6
+ Revision: 1049573
- Add more default requires

* Sun Aug 28 2016 neoclust <neoclust> 1.1.7.1-5.mga6
+ Revision: 1049316
- Disable new version checking

* Mon Aug 01 2016 neoclust <neoclust> 1.1.7.1-4.mga6
+ Revision: 1044226
- Requires python-mysql

* Mon Aug 01 2016 neoclust <neoclust> 1.1.7.1-3.mga6
+ Revision: 1044206
- Requires python-pillow

* Wed Jul 27 2016 neoclust <neoclust> 1.1.7.1-2.mga6
+ Revision: 1043802
- Fix minimal requires

* Wed Jul 27 2016 neoclust <neoclust> 1.1.7.1-1.mga6
+ Revision: 1043795
- imported package noethys

